# $Revision: 1.13 $, $Date: 2003/12/06 14:46:43 $
Summary:	Cross DJGPP GNU binary utility development utilities - binutils
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - DJGPP binutils
Summary(fr):	Utilitaires de dveloppement binaire de GNU - DJGPP binutils
Summary(pl):	Skrone narzdzia programistyczne GNU dla DJGPP - binutils
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - DJGPP binutils
Summary(tr):	GNU gelitirme aralar - DJGPP binutils
Name:		crossdjgpp-binutils
Version:	2.14.90.0.7
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	b5b1608f7308c487c0f3af8e4592a71a
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	/bin/bash
Requires:	crossdjgpp-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-pc-msdosdjgpp
%define		arch		%{_prefix}/%{target}

%description
DJGPP is a port of GNU GCC to the DOS environment. (It stands for DJ's
Gnu Programming Platform, if it has to stand for something, but it's
best left ambiguous.)

This package contains cross targeted binutils.

%description -l pl
DJGPP to port GNU GCC dla rodowiska DOS (skrt oznacza DJ's Gnu
Programming Platform, jeli ju koniecznie ma co oznacza).

Ten pakiet zawiera binutils generujce skronie binaria dla DOS.

%prep
%setup -q -n binutils-%{version}

%build
rm -rf $RPM_BUILD_ROOT

# Because of a bug in binutils-2.9.1, a cross libbfd.so* is not named
# lib<target>bfd.so*. To prevent confusion with native binutils, we
# forget about shared libraries right now, and do not install libbfd.a
# [the same applies to binutils 2.10.1.0.4]

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target}

%{__make} tooldir=%{_prefix} EXEEXT="" all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{arch}/bin/*
%{arch}/lib/*
%attr(755,root,root) %{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossdjgpp-binutils.spec,v $
Revision 1.13  2003/12/06 14:46:43  undefine
- release 1

Revision 1.12  2003/12/06 14:01:18  undefine
- update to 2.14.90.0.7, release 0.1, nty

Revision 1.11  2003/12/06 12:19:04  undefine
- release 2 to rebuild with ac

Revision 1.10  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.9  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.8  2003/08/06 16:51:49  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/04/25 16:07:12  arturs
fixed a small typo

Revision 1.4  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/11 11:34:51  qboosh
- adapterized, pl translations, cosmetics

Revision 1.2  2002/01/10 19:47:45  kloczek
- cosmetics.

Revision 1.1  2002/01/10 13:25:23  malekith
- other stuff for DJGPP, nfy
